### Method

# GWeather Info set_contact_info

#### Declaration [src]

    void
    gweather_info_set_contact_info (
      GWeatherInfo* info,
      const char* contact_info
    )

#### Description [src]

Sets the contact information for the application fetching the weather. It is a requirement for using any of the online weather providers as it allows API providers to contact application developers in case of terms of use breaches.

The contact information should be an email address, or the full URL to an online contact form which weather providers can use to contact the application developer. Avoid using bug tracker URLs which require creating accounts.

Sets property | `GWeather.Info:contact-info`

#### Parameters

`contact_info`

  Type: `const char*`

  The contact information for the application.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.